summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-06-20 09:14:32 +0200
committerMichał Górny <mgorny@gentoo.org>2021-06-23 23:44:08 +0200
commita0eb5847674c9d295fbc80e2b7c53855cfca5a66 (patch)
treedb614763f647ada074e5455d7f873d486060127e /eclass/python-utils-r1.eclass
parentpython-utils-r1.eclass: Ban py2 deps in python_gen* in EAPI 8 (diff)
downloadgentoo-a0eb5847674c9d295fbc80e2b7c53855cfca5a66.tar.gz
gentoo-a0eb5847674c9d295fbc80e2b7c53855cfca5a66.tar.bz2
gentoo-a0eb5847674c9d295fbc80e2b7c53855cfca5a66.zip
python-utils-r1.eclass: Deprecated and EAPI8-ban python_is_python3
There is no use for python_is_python3 anymore, as Python 2 is no longer supported at runtime and the remaining any-r1 uses are pure-2. Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'eclass/python-utils-r1.eclass')
-rw-r--r--eclass/python-utils-r1.eclass3
1 files changed, 3 insertions, 0 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 1a20a3cae994..b435ebaa7ad6 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -1010,6 +1010,9 @@ _python_wrapper_setup() {
#
# Returns 0 (true) if it is, 1 (false) otherwise.
python_is_python3() {
+ eqawarn "${FUNCNAME} is deprecated, as Python 2 is not supported anymore"
+ [[ ${EAPI} == [67] ]] || die "${FUNCNAME} banned in EAPI ${EAPI}"
+
local impl=${1:-${EPYTHON}}
[[ ${impl} ]] || die "python_is_python3: no impl nor EPYTHON"